specs.rms {rms} | R Documentation

## rms Specifications for Models

### Description

Prints the design specifications, e.g., number of parameters for each factor, levels of categorical factors, knot locations in splines, pre-transformations, etc.

### Usage

    specs(fit, ...)
    ## S3 method for class 'rms'
    specs(fit, long=FALSE, ...)

    ## S3 method for class 'specs.rms'
    print(x, ...)

### Arguments

`fit` | a fit object created with the `rms` library in effect
`x` | an object returned by `specs`
`long` | if `TRUE`, causes the plotting and estimation limits to be printed for each factor
`...` | ignored

### Value

a list containing information about the fit and the predictors as elements

### Author(s)

Frank Harrell
Department of Biostatistics, Vanderbilt University
f.harrell@vanderbilt.edu

### See Also

`rms`, `rms.trans`, `latexrms`, `datadist`

### Examples

    set.seed(1)
    blood.pressure <- rnorm(200, 120, 15)
    dd <- datadist(blood.pressure)
    options(datadist='dd')
    L <- .03*(blood.pressure-120)
    sick <- ifelse(runif(200) <= plogis(L), 1, 0)
    f <- lrm(sick ~ rcs(blood.pressure,5))
    specs(f)    # find out where 5 knots are placed
    g <- Glm(sick ~ rcs(blood.pressure,5), family=binomial)
    specs(g,long=TRUE)
    options(datadist=NULL)

[Package rms version 5.1-1 Index]